Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.component.impl.rp.handler
Class CommandHandlerClassLoader

    java.lang.Object
      java.lang.ClassLoader
          tle.framework.component.impl.rp.handler.CommandHandlerClassLoader

public class CommandHandlerClassLoader
extends java.lang.ClassLoader

핸들러 클래스가 별도의 클래스패스에 위치하는 경우 핸들러 클래스를 로딩하기 위해 사용되는 클래스로더.

Since:
  2.0
Author:
  최범균

Nested Class Summary

Nested classes inherited from class java.lang.ClassLoader
``

Field Summary

Fields inherited from class java.lang.ClassLoader
``

Constructor Summary
`CommandHandlerClassLoader(java.lang.String[] classPath)`

Method Summary
`java.lang.Class` | `loadHandlerClass(java.lang.String className)` 핸들러 클래스를 로딩한다.
`void` | `remakeClassLoader()` 클래스로더를 새로 생성해서 클래스를 다시 읽어오는 효과를 낸다.

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandHandlerClassLoader

    public CommandHandlerClassLoader(java.lang.String[] classPath)

Parameters:
  `classPath` - 핸들러 클래스를 읽을 때 사용할 클래스 패스 경로

Method Detail

### remakeClassLoader

    public void remakeClassLoader()

  클래스로더를 새로 생성해서 클래스를 다시 읽어오는 효과를 낸다.

### loadHandlerClass

    public java.lang.Class loadHandlerClass(java.lang.String className)
                                     throws java.lang.ClassNotFoundException

  핸들러 클래스를 로딩한다.

  Parameters:
    `className` - 핸들러 클래스 이름
  Returns:
    로딩한 핸들러 클래스
  Throws:
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD